> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Company Information

> Update an existing company's business details, owner information, or payroll schedule.

Patches company information and returns the updated [Company Object](/reference/companies/the-company-object). Only the company object fields documented in this API reference can be patched via this endpoint.


## OpenAPI

````yaml openapi/companies.json patch /companies
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /companies:
    patch:
      summary: Update Company Information
      description: Update the Company Object
      operationId: update-company-info
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
              properties:
                companyID:
                  type: string
                  description: >-
                    Company ID of the employer (you can access companyID on the
                    Zeal dashboard)
                first_name:
                  type: string
                  description: First name of business owner or administrator.
                last_name:
                  type: string
                  description: Last name of business owner or administrator.
                email:
                  type: string
                  description: Email address of business.
                business_name:
                  type: string
                  description: Business Name of company
                business_phone:
                  type: string
                  description: Phone number of company
                business_address:
                  type: string
                  description: Street address of company's business address
                business_city:
                  type: string
                  description: City of company's business address
                business_state:
                  type: string
                  description: State of company's business address
                business_zip:
                  type: string
                  description: Zip code of company's business address
                mail_address:
                  type: string
                  description: Mailing address of company
                mail_city:
                  type: string
                  description: Mailing city of company
                mail_state:
                  type: string
                  description: Mailing state of company
                mail_zip:
                  type: string
                  description: Mailing zip code of company
                ssn:
                  type: string
                  description: SSN of the primary business owner.
                ownership_percentage:
                  type: integer
                  description: The ownership percentage held by the primary business owner.
                  format: int32
                legal_structure:
                  type: string
                  description: The legal structure of the business.
                  enum:
                    - ccorp
                    - corp
                    - estate
                    - foreign_entity
                    - llc
                    - llp
                    - lp
                    - nonprofit
                    - partnership
                    - scheme
                    - scorp
                    - soleprop
                    - trust
                job_title:
                  type: string
                  description: The job title of the primary business owner.
                dob:
                  type: string
                  description: >-
                    Date of birth of the primary business owner. This should be
                    in the`MM/DD/YYYY` format.
                address:
                  type: string
                  description: Address of the primary business owner.
                address_line2:
                  type: string
                  description: Address line 2 of the primary business owner.
                city:
                  type: string
                  description: City of the primary business owner.
                state:
                  type: string
                  description: State of the primary business owner.
                zip:
                  type: string
                  description: Zip code of the primary business owner.
                payroll_schedule:
                  type: string
                  description: The default payroll schedule that the company follows
                  enum:
                    - daily
                    - weekly
                    - biweekly
                    - semimonthly
                    - monthly
                payroll_firstDate:
                  type: string
                  description: The ISO-8601 date of the first regular payroll
                payroll_firstPayPeriodID:
                  type: string
                  description: Reporting period ID of the first regular payroll
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      companyID: 1e2wu23273238c22ea2
                      first_name: Richard
                      last_name: Hendricks
                      email: richard@piedpiper.com
                      business_name: Pied Piper
                      business_address: 1 Market St.
                      business_city: San Francisco
                      business_state: CA
                      business_zip: '94110'
                      business_phone: '2025550151'
                      mail_address: 1 Market St.
                      mail_city: San Francisco
                      mail_state: CA
                      mail_zip: '94110'
                      ssn: 22-333-4444
                      ownership_percentage: 25
                      dob: 01/01/1990
                      legal_structure: ccorp
                      job_title: CEO
                      address: 1 Ferry Building
                      city: San francisco
                      state: CA
                      zip: '94105'
                      payroll_firstCheckDate: '2024-08-30'
                      payroll_schedule: weekly
                      payroll_firstPayPeriodID: 6580ce4a3808d60023b4e412
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: 1e2wu23273238c22ea2
                      first_name:
                        type: string
                        example: Richard
                      last_name:
                        type: string
                        example: Hendricks
                      email:
                        type: string
                        example: richard@piedpiper.com
                      business_name:
                        type: string
                        example: Pied Piper
                      business_address:
                        type: string
                        example: 1 Market St.
                      business_city:
                        type: string
                        example: San Francisco
                      business_state:
                        type: string
                        example: CA
                      business_zip:
                        type: string
                        example: '94110'
                      business_phone:
                        type: string
                        example: '2025550151'
                      mail_address:
                        type: string
                        example: 1 Market St.
                      mail_city:
                        type: string
                        example: San Francisco
                      mail_state:
                        type: string
                        example: CA
                      mail_zip:
                        type: string
                        example: '94110'
                      ssn:
                        type: string
                        example: 22-333-4444
                      ownership_percentage:
                        type: integer
                        example: 25
                        default: 0
                      dob:
                        type: string
                        example: 01/01/1990
                      legal_structure:
                        type: string
                        example: ccorp
                      job_title:
                        type: string
                        example: CEO
                      address:
                        type: string
                        example: 1 Ferry Building
                      city:
                        type: string
                        example: San francisco
                      state:
                        type: string
                        example: CA
                      zip:
                        type: string
                        example: '94105'
                      payroll_firstCheckDate:
                        type: string
                        example: '2024-08-30'
                      payroll_schedule:
                        type: string
                        example: weekly
                      payroll_firstPayPeriodID:
                        type: string
                        example: 6580ce4a3808d60023b4e412
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No user with this company ID exists
                        code: 4
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No user with this company ID exists
                        code:
                          type: integer
                          example: 4
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````